%define upstream_name     Data-ICal
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Generates iCalendar (RFC 2445) calendar files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/Data-ICal/
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Class::ReturnValue)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(MIME::QuotedPrint)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Text::vFile::asData)
BuildArch:  noarch

# rpm doesn't catch this
Requires:   perl(Class::Accessor)
%description
A Data::ICal object represents a VCALENDAR object as defined in the
iCalendar protocol (RFC 2445, MIME type "text/calendar"), as implemented in
many popular calendaring programs such as Apple's iCal.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

#make pure_install PERL_INSTALL_ROOT=%{buildroot}

#find %{buildroot} -type f -name .packlist -exec rm -f {} \;
#find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

#chmod -R u+w %{buildroot}/*

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.220.0-4pclos2017
- rebuild against updates

